Method: allowlistedDomains.list

Lists the domains in the allowlist.

HTTP request

GET https://cloudidentity.googleapis.com/v1/allowlistedDomains

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
pageSize

integer

Optional. Specifies the requested page size. If unspecified, the service returns at most 5000 domains. The maximum value is 5000; values above 5000 coerce to 5000. The limits can change over time.

pageToken

string

Optional. Identifies a token from a previous page of results, if any.

filter

string

Optional. Provides an optional filter for list results. Currently, only exact matches on the domain are supported, such as "domain = 'google.com'", with no composite conditions.

Request body

The request body must be empty.

Response body

Response message for AllowlistedDomainsService.ListAllowlistedDomains.

If successful, the response body contains data with the following structure:

JSON representation
{
  "allowlistedDomains": [
    {
      object (AllowlistedDomain)
    }
  ],
  "nextPageToken": string
}
Fields
allowlistedDomains[]

object (AllowlistedDomain)

Contains the list of domains in the allowlist. There is no defined ordering of domains within a result.

nextPageToken

string

Contains the next page token if the result is not exhaustive. If there are no more results, this token is empty.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-identity.allowlisteddomains.readonly
  • https://www.googleapis.com/auth/cloud-identity.allowlisteddomains
  • https://www.googleapis.com/auth/cloud-identity

For more information, see the Authentication Overview.